Subject: Re: mysterious error message

From: tom sgouros <[email-masked]>
Date: Sun, 28 Sep 2008 11:18:35 -0400

I have upgraded and the problem has disappeared.  Many thanks for the
advice.

 -tom

Shawn O. Pearce <[email-masked]> wrote:

> tom sgouros <[email-masked]> wrote:
> > > On Thu, 25 Sep 2008, Tom Sgouros wrote:
> > > > I receive the following error message when I try to do a 'git push':
> > > > 
> > > >   tomfool@toms-box:hpl$ git push
> > > >   updating 'refs/heads/master'
> > > >     from ad4ae7925d3dd23798e7c5b733d2d8f930f7410f
> > > >     to   5b5f5fae014a4f3535fa10b0f6e28b4bf3225dc3
> > > >    Also local refs/remotes/origin/master
> > > >   Generating pack...
> > > >   Done counting 10 objects.
> > > >   Deltifying 10 objects...
> > > >   error: pack-objects died with strange error
> > > >   unpack eof before pack header was fully read
> > > >   ng refs/heads/master n/a (unpacker error)
> > > >   error: failed to push to 'ssh://[email-masked]/home/tomfool/hpl.git'
> > > >   tomfool@toms-box:hpl$
> > > 
> > > I got this message when I tried to push a project with submodules to a 
> > > server which had submodule-ignorant git installed.  Maybe it's that?
> > 
> > I'm not sure which versions are submodule-ignorant, but it's version
> > 1.5.3.6 on the pusher and version 1.5.4.5 on the server.  I installed
> > git via the fink package manager.  Could there be some other
> > incompatibility? 
> 
> This change came after 1.5.3.6 and I think its what you are
> tripping over:
> 
>   commit 481f0ee60eef2c34b891e5d04b7e6e5a955eedf4
>   Author: Linus Torvalds <[email-masked]>
>   Date:   Sun Nov 11 23:35:23 2007 +0000
> 
>     Fix rev-list when showing objects involving submodules
> 
> rev-list aborting because it cannot mark a submodule commit
> as uninteresting should cause pack-objects to abort too since
> the list of objects wasn't completely produced.
> 
> That fix is in 1.5.3.7 or later.
> 
> -- 
> Shawn.
> 

-- 
 ------------------------
 tomfool at as220 dot org
 http://sgouros.com  
 http://whatcheer.net